/* -----------------------------------------------------------------------
 *
 * Project:     UT-SNMP
 *
 * Filename:    snmpv1_per.h
 *
 * Date:        may 1994
 *
 * Purpose:     Type definitions and mappings.
 *
 * Author(s):   Rene Oude Vrielink
 *
 * -----------------------------------------------------------------------
 */


#ifndef _snmpv1_per_h_
#define _snmpv1_per_h_

AsnLen PerEncPDUV1( BUF_TYPE b, PDUV1* v);
AsnLen PerEncPDUsV1(BUF_TYPE b, PDUsV1* v);
AsnLen PerEncTrap_PDUV1(BUF_TYPE b, Trap_PDUV1* v);
STATUS PerDecPDUsV1(BUF_TYPE b, PDUsV1* v, PDUsChoiceId tag);
STATUS PerDecPDUV1(BUF_TYPE b, PDUV1* v);
STATUS PerDecTrap_PDUV1(BUF_TYPE b, Trap_PDUV1* v);

#endif /* conditional include of snmpv1_per.h */



/* -----------------------------------------------------------------------
 */
