/* -----------------------------------------------------------------------
 *
 * Project:	UT-SNMP
 *
 * Filename:    per_len.h
 *
 * Date:        May 1994.
 *
 * Purpose:     Interface to PER modules.
 *
 * Author(s):   Rene Oude Vrielink
 *
 * -----------------------------------------------------------------------
 */
#ifndef _per_len_h_
#define _per_len_h_
#include <snmpTypes.h>

STATUS PerEncLenCons(BUF_TYPE b, UAsnInt value, UAsnInt shift);

STATUS PerDecLenCons(BUF_TYPE b, UAsnInt *value, UAsnInt shift);

AsnLen PerEncLenDeter(BUF_TYPE b, UAsnInt *length, AsnInt choice);

AsnLen PerDecLenDeter(BUF_TYPE b, UAsnInt *length, AsnInt choice);

STATUS PerEncLenAddr(BUF_TYPE b, UAsnInt choiceVal, UAsnInt length);

STATUS PerDecLenAddr(BUF_TYPE b, UAsnInt *choiceVal, UAsnInt *length);

#endif /* conditional include */

