/* -----------------------------------------------------------------------
 *
 * Project:     UT-SNMP
 *
 * Filename:    snmpv2_per.h
 *
 * Date:        may 1994
 *
 * Purpose:     Type definitions and mappings.
 *
 * Author(s):   Rene Oude Vrielink
 *
 * -----------------------------------------------------------------------
 */


#ifndef _snmpv2_per_h_
#define _snmpv2_per_h_

AsnLen PerEncSnmpMgmtComChoice(BUF_TYPE b, SnmpMgmtComChoice* v);
AsnLen PerEncSnmpAuthMsgChoiceSeq( BUF_TYPE b, SnmpAuthMsgChoiceSeq* v);
AsnLen PerEncSnmpAuthMsgChoice (BUF_TYPE b, SnmpAuthMsgChoice* v);
AsnLen PerEncObjectSyntax(BUF_TYPE b, ObjectSyntax* v);
AsnLen PerEncVarBindChoice(BUF_TYPE b, VarBindChoice* v);
AsnLen PerEncVarBind(BUF_TYPE b, VarBind* v);
AsnLen PerEncVarBindList(BUF_TYPE b, VarBindList* v, AsnLen *listLen);
AsnLen PerEncPDU( BUF_TYPE b, PDU* v);
AsnLen PerEncBulkPDU(BUF_TYPE b, BulkPDU* v);
AsnLen PerEncSnmpPrivMsg (BUF_TYPE b, SnmpPrivMsg* v);
AsnLen PerEncSnmpAuthMsg( BUF_TYPE b, SnmpAuthMsg*  v);
AsnLen PerEncSnmpMgmtCom( BUF_TYPE b, SnmpMgmtCom* v);
AsnLen PerEncPDUs(BUF_TYPE b, PDUs* v);

STATUS PerDecSnmpPrivMsg(BUF_TYPE b, SnmpPrivMsg* v);
STATUS PerDecSnmpAuthMsg(BUF_TYPE b, SnmpAuthMsg* v, AsnLen totalLen);
STATUS PerDecSnmpMgmtComChoice(BUF_TYPE b, SnmpMgmtComChoice* v, AsnLen totalLen);
STATUS PerDecPDUs(BUF_TYPE b, PDUs* v, PDUsChoiceId tag);

#endif /* conditional include of snmpv2_per.h */



/* -----------------------------------------------------------------------
 */
