/* -----------------------------------------------------------------------
 *
 * Project: 	UT-SNMP
 *
 * Filename:    yp3.h
 *
 * Date:        September 1994
 *
 * Purpose:     headerfile for yp3
 *
 * Author(s):   Frederic P. H. van Hengstum, Vincent Berkhout
 *
 * -----------------------------------------------------------------------
 */

#ifndef YP3_H
#define YP3_H

#include <snmpTypes.h>

#define YP3LISTTIMEOUT 	(5*60)				/* in seconds */
#define YP3LISTMAX 		(10)

/*
 *  Generic definition of request-list.
 */
typedef struct {
    AsnInt id;
    AsnInt tdomain;
    AsnOcts *la;
    AsnOcts *ra;
    AsnInt timestamp;
} YP3LIST[ YP3LISTMAX ];
YP3LIST yp3list;

#endif /* YP3_H */

