#include <sim.h>
#include <apiMSG.h>

 AsnOct lAddress[7]="HOST";
 AsnOct rAddress[7]="" ;

static AsnInt handle ;

main(int argc, char *argv[])
{   AsnInt	id, type, qos, etype, eindex;
    AsnOid *lb;
    int i,j;
    if(argc == 2)
    {
      lb=(AsnOid *)malloc(sizeof(AsnOid));
      lb->octs=(AsnOct *)malloc(NAMEMAX * sizeof(AsnOct));
      strcpy(lAddress,argv[1]);
      if( simOpen( lAddress, rAddress ) != OK ) /* PassiveOpen */
      {
        simClose( rAddress );
        perror("Couldn't open connection");
        exit(1);
      }
      else
      {
        if( msgOpen( &handle ) != OK )
        { 
          perror("Couldn't create message space");
        }
        printf("simOpen gelukt\n");
      }
      while(1)
      { 
        for(i=0; i<1; i++)
        {  
          while(simReceive( rAddress, handle ) != OK );
          printf("CoreAgent MSGGET_%d\n",i+1);
          if( msgGet( &handle, &id, &type, NULL, &qos, &etype, &eindex, lb, NULL,
				NULL, NULL, NULL )!=OK ) 
          {
            perror("Couldn't get message") ;  
          }
          else
          {
            lb->octs[lb->octetLen]='\0';
            printf("msgGet gelukt\n");
            printf("handle=%10d\n",handle);
            printf("id=%10d\n",id);
            printf("type=%10d\n",type);
            printf("qos=%10d\n",qos);
            printf("etype=%10d\n",etype);
            printf("eindex=%10d\n",eindex);
            printf("lblen=%10d\n",lb->octetLen);
            printf("lbstr= %s\n",lb->octs);
            if (msgOpen( &handle ) != OK ) 
            { 
             perror("Couldn't create message space");
            }
            else
            {
              printf("passed msgOpen\n"); 
            } 
            printf("simOpen gelukt\n");
          }
        }
        if (msgOpen( &handle ) != OK ) 
        { 
         perror("Couldn't create message space");
        }
        else
        {
          printf("passed msgOpen\n"); 
                     
          id*=2;type*=2;qos*=2;etype*=2;eindex*=2;
          lb->octetLen=strlen(rAddress);
          lb->octs[lb->octetLen]='\0';
          memcpy(lb->octs,rAddress,lb->octetLen+1);
          if( msgPut ( &handle, &id, &type, NULL, &qos, &etype, &eindex, lb, NULL,
				NULL, NULL, NULL ) != OK ) 
          {
            perror("Couldn't put message" ) ;
          }
          else
          {
            if( simSend( rAddress, handle  ) != OK )
            {
              perror("Send fails");
              simClose(rAddress);
            }
            else
            {
              printf("simSend gelukt\n");
            }
          }
	}
      }
      simClose( lAddress );
    }
    else
    {
      perror("usage: application manager");
    }
}    
