/* -----------------------------------------------------------------------
 * $Id: snmpAgent.h,v 1.1 1994/03/30 13:39:55 snmp Exp $
 * Project:	SNMP v2 project
 * Filename:    snmpAgent.h
 * Date:        August/October 1993
 * 		Januari 1994, updated EvH.
 * Purpose:     Agent program to test/demonstrate the useability of the
 *		SNMPv2 API-functions. Agent acts like a native-proxy agent.
 * Author(s):   J.W.Togtema, Frederic P. H. van Hengstum
 * -----------------------------------------------------------------------
 */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <netdb.h>
#include <apiSNMP.h>

#ifndef	OK
#define	OK	0
#endif

#ifndef FAILED
#define FAILED	-1
#endif 

#ifndef ERROR
#define	ERROR 	-2
#endif 

/*
 *	Definition of linked list for mapping corresponding requests.
 */
typedef struct outreq
{
	int	responseid;
	int	requestid;
	struct outreq
		*next;
} OUTREQ;

OUTREQ	*outstreqlist = NULL;


/*
 *	Request sequence number.
 */
INTEGER32	REQ_SEQNR = 0;


/*
 *	Must this application produce debug output? Default is no.
 */
int agentDEBUG = 0;


/* -----------------------------------------------------------------------
 */
