#include <sim.h>
#include <apiMSG.h>


AsnInt handle ;
AsnOct lAddress[7]="";
AsnOct rAddress[7]="";

main(int argc, char *argv[])
{ 
    AsnInt id=1,type=2,qos=3,etype=4,eindex=5;
    AsnOid *lb;
    int i, val;
    if(argc == 4)
    {
      lb=(AsnOid *)malloc(sizeof(AsnOid));
      lb->octs=(AsnOct *)malloc(NAMEMAX * sizeof(AsnOct));
      lb->octetLen=strlen(argv[1]);
      memcpy(lb->octs,argv[1],lb->octetLen);
      strcpy(lAddress,argv[1]);
      strcpy(rAddress,argv[2]);
      sscanf(argv[3],"%d",&val);
      printf("val= %d\n",val); 
      id*=val;
      type*=val;
      qos*=val;
      etype*=val;
      eindex*=val;
    for(i=0;i<1;i++)
      if( simOpen( lAddress, rAddress ) != OK ) 
      {
        simClose( rAddress );
        perror("Couldn't open connection");
      }
      else
      {
        if (msgOpen( &handle ) != OK ) 
        { 
         perror("Couldn't create message space");
        }
        else
        {
          printf("passed msgOpen\n"); 
        }                   
        printf("simOpen gelukt\n");
        if( msgPut ( &handle, &id, &type, NULL, &qos, &etype, &eindex, lb, NULL,
				NULL, NULL, NULL ) != OK ) 
        {
          perror("Couldn't put message" ) ;
        }
        else
        {
          if( simSend( rAddress, handle  ) != OK )
          {
            perror("Send fails");
            simClose(rAddress);
          }
          else
          {
            printf("simSend gelukt\n");

          }
        }
      } 
      printf("*******************\n");
      while(simReceive( rAddress, handle ) != OK );
      printf("___________________\n");
      printf("CoreAgent MSGGET_%d\n",i);
      if( msgGet( &handle, &id, &type, NULL, &qos, &etype, &eindex, lb, NULL,
				NULL, NULL, NULL )!=OK ) 
      {
        perror("Couldn't get message") ;  
      }
      else
      {
        lb->octs[lb->octetLen]='\0';
        printf("msgGet gelukt\n");
        printf("handle=%10d\n",handle);
        printf("id=%10d\n",id);
        printf("type=%10d\n",type);
        printf("qos=%10d\n",qos);
        printf("etype=%10d\n",etype);
        printf("eindex=%10d\n",eindex);
        printf("lblen= %d\n",lb->octetLen);
        printf("lbstr= %s\n",lb->octs);

      }
      simClose( rAddress );
    }
    else
    {
      perror("usage: application agent manager random_value");
    }    
}    
